$(".product_background").on("touchstart",function(e){
	$(this).addClass('touch');
});
$(".product_background").on("touchend",function(e){
	$(this).removeClass('touch');
});


var timer;
function lazyLoadImg(args){
    var option = {
        container:'',//容器
        replaceName:'data-src',//图片替换名称
        imgHeight:300,//图片高度
        pre:200,//预加载高度
        windowHeight:0,//可视区域的高度，手机浏览器必须穿入这个值
        nopic:''//占位图片
    }
    $.extend(option,args);
    var select = option.container && $(option.container) || option.imgs;
    if(!select[0]) return;
    var imgh = option.imgHeight,preHeight = option.pre,replaceName = option.replaceName;
    var notNeedHandleImgs = [];
    // var imgs = select.find("img[src='"+option.nopic+"']");
    var imgs = select.find("img");
    var wHeight = option.windowHeight > 0 ? option.windowHeight : $(window).height();
//    $(window).scroll(function(){
    $(document).ready(function(){
        if(imgs.length == 0){
            return;
        }
        if(timer) clearTimeout(timer);
        if(imgs.length == notNeedHandleImgs.length) return;
        timer = setTimeout(function(){
            var sTop = $(window).scrollTop();
            imgs.each(function(i){
                if($.inArray(i,notNeedHandleImgs) > -1) return true;
                var tTop = 0;
                var $this = $(this);
                var prepareLoadImageUrl = $this.attr(replaceName);
                if(!prepareLoadImageUrl || prepareLoadImageUrl.length == 0){
                    notNeedHandleImgs.push(i);
                }else{
                    tTop = $this.offset() && $this.offset().top;
                    if (tTop - preHeight < sTop + wHeight) {
                      call_native({"call_type":"refreshImage", "parames":{image_url:$this.attr(replaceName),image_id:"#"+$this.attr("id")}});
                    }
                }
            });
        },100);
    });
    $(window).scroll();
}

/*
var timer;
function lazyLoadImg(args){
    var option = {
        container:'',//容器
        replaceName:'data-src',//图片替换名称
        imgHeight:300,//图片高度
        pre:200,//预加载高度
        nopic:'',//占位图片
        windowHeight:0,//可视区域的高度，手机浏览器必须穿入这个值
        curOffset:0//当前可视区域起始坐标
    }
    $.extend(option,args);
    var select = option.container && $(option.container) || option.imgs;
    if(!select[0]) return;
    var preHeight = option.pre,replaceName = option.replaceName;
    var curRangeTop = option.curOffst - preHeight;
    var curRangeBottom = option.curOffset + option.windowHeight + preHeight;
    var notNeedHandleImgs = [];
    var imgs = select.find("img");

    if(timer) clearTimeout(timer);
    if(imgs.length == notNeedHandleImgs.length) return;
    timer = setTimeout(function(){
        imgs.each(function(i){
            if($.inArray(i,notNeedHandleImgs) > -1) return true;
            var $this = $(this);
            var prepareLoadImageUrl = $this.attr(replaceName);
            if(!prepareLoadImageUrl || prepareLoadImageUrl.length == 0){
                notNeedHandleImgs.push(i);
            }else{
                var imgHeight = $this.height();
                var imgTop = $this.offset().top;
                var imgBottom = $this.offset().top + imgHeight;
                if((imgTop > curRangeTop && imgTop < curRangeBottom) || (imgBottom > curRangeTop && imgBottom < curRangeBottom)){
                    call_native({"call_type":"refreshImage", "parames":{image_url:$this.attr(replaceName),image_id:"#"+$this.attr("id")}});
                }
            }
        });
    },100);
}
*/
function addImageUrl(imageId,imagePath){
	$(imageId).attr('src', imagePath).attr('data-src', '');
}

function loadImage() {
    if(timer) clearTimeout(timer);
    timer = setTimeout(function(){
        $(window).scroll();
    },50);
}

function changeZanImage(imageId,imagePath){
    $(imageId).attr('src',imagePath);
}

function changeZanNum(pathId,num){
    $(pathId).text(num);
}
function commentClick(elm){
    var url = $(elm).attr("_href");
    call_native({"call_type":"commentClick", "parames":{url:url}});
}
/*
$(".comment_user_name,.comment_reply_logo,.comment_zan_logo,.header_more,.comment_more,.comment_reply_user_name,#product,.comment_user_image").on("click",function(e){
    var url = $(this).attr("_href");
      call_native({"call_type":"commentClick", "parames":{url:url}});
    return false;
});
 
$(document).on('click','.comment_user_name',function(){
               $(this).text(123123);
               return false;
               })
*/

function call_native (parames) {
    window.webkit.messageHandlers.HZJsObject.postMessage(parames);
}

function headerTouch () {
    call_native({"call_type":"headerTouch", "parames":{}});
}

function authorTouch () {
    call_native({"call_type":"authorTouch", "parames":{}});
}

function sourceTouch () {
    call_native({"call_type":"sourceTouch", "parames":{}});
}