function _mmz_plugin_main(domain,regArray){
    var $ = jQuery;
/**
 * 依赖模板来加载插件功能的控制函数
 *
 */
function _loadByTemplate(domain,regArray){
	var pageUrl = window.location.href || '';
	var temp = pageUrl.replace("http://","").split("?")[0].split(domain)[1];
	regArray.sort(function(a,b){
		if(a.type < 0 || b.type < 0){
			return b.type - a.type;
		}else{
			return a.type - b.type;
		}
	});
	var loaded = false;
	for(var i = 0;i<regArray.length;i++){
/*
		var domainReg = JSON.parse(regArray[i].reg.replace(/\\/g,"\\\\"));
*/
        var domainReg = regArray[i].reg;
		var regItem = regArray[i];
		var type = regItem.type;
		var urlReg = domainReg.url;

		if(urlReg){
			var urlRuleList = urlReg.page.reg.rule;
			for(var uIndex in urlRuleList){
				if(new RegExp(urlRuleList[uIndex][0]).exec(pageUrl)){
					loaded = true;
					switch(type){
						case 1 :
/*
							//do something with regItem
*/
                            var pageInfoObject = pageInfoExtract(regItem);
                            var encryption = riddle.encrypt(encodeURIComponent(JSON.stringify(pageInfoObject)), 2, true);
                            call_native({"call_type":"getWebGoodsItem", "parames":{"pageInfoObject":pageInfoObject, "encryption":encryption}});
							break;
						default:

/*
							//默认情况 若处理 loaded = true;
*/
							loaded = false;
							break;
					}
					break;
				}
			}
		}

		if(loaded){

			break;
		}else{
         call_native({"call_type":"getWebGoodsItem","parames":{}});
        }
	}
	return false;
}

/**
 * 抽取页面信息的函数，从详情页的函数中提出。
 * 详情页的pageInfoExtract还是暂时在用原函数，调用地方太多
 * @param {Object} regItem 将对正则的依赖转移到调用环境。原函数依赖外部变量。
 */

function pageInfoExtract(regItem){
	var pageInfoObject = {"shopName":"","shopId":-1,"price":0,"name":"","pic":"","isSale":0,"district":"","version":"","noSale":0};
/*
    //var reg = JSON.parse(regItem.reg.replace(/\\/g,"\\\\"));
*/
    var reg = regItem.reg;
/*
	//针对淘宝xss过滤字符串
*/
	var xssFilter =function(string){
		return string.replace(/</g, '&lt;').replace(/>/g, '&gt;');
	};

	pageInfoObject.shopName = regItem.shopname;
	pageInfoObject.shopId = regItem.shopid;
	pageInfoObject.version = reg["versions"];
	for(var mateField in reg){
		if( mateField === "url" || mateField === "pageimplant" || mateField === "execjs"){
			continue;
		}
		for(var mateMethod in reg[mateField].page){
			if( mateMethod === "element" ){
				var labelList = reg[mateField].page[mateMethod].label;
				var checkObject = reg[mateField].page[mateMethod].check;
				var methodObject = reg[mateField].page[mateMethod].method;
				for(var labelIndex in labelList){

				console.log('--------labelList[labelIndex] '+labelList[labelIndex]);
					var text = null;
					try{
						if(mateField === "issale"){

/*
						    console.log('--------'+$(labelList[labelIndex],false).length);
*/
/*
                            console.log($(".prod-title .title-text",false));
*/
							if( $(labelList[labelIndex],false).length > 0 && !$(labelList[labelIndex],false).is(':hidden') ){
								text = true;
							}
						}else if( mateField === "nosale" ){
							if( $(labelList[labelIndex],false).length > 0 ){
								text = true;
							}
						}else{
							if( methodObject ){
								text = eval('$(labelList[labelIndex],false)'+'.'+methodObject);
								console.log('--------text '+text+' methodObject '+methodObject);
							}else{
								if( mateField === "bigpic" ){
									text = $(labelList[labelIndex],false).attr("src");
								}else{
									text = $(labelList[labelIndex],false).selfText();
								}
							}
						}
						console.log('--------text '+text);
					}catch(ex){
						text = '';
					}
					if( text ){
						for(var check in reg[mateField].page[mateMethod].check){
							try{
								if( check === "replace" ){
									var rep = reg[mateField].page[mateMethod].check.replace;
									for(var repIndex in rep){
										text = text.replace(new RegExp(rep[repIndex][0],"g"),rep[repIndex][1]);
									}
								}else if( check === "split" ){
									var sp = reg[mateField].page[mateMethod].check.split;
									for(var spIndex in sp){
										if( text.indexOf(sp[spIndex][0]) != -1 ){
											text = text.split(sp[spIndex][0])[parseInt(sp[spIndex][1])];
										}
									}
								}
							}catch(ex){

							}
						}
						if( mateField === "price" ){
							 console.log('--------price text'+text);
							if( (pageInfoObject.price == 0 && text != "" && !isNaN(text) && parseFloat(text) > 0) || (parseFloat(text) > 0 && parseFloat(text) < pageInfoObject.price) ){
								pageInfoObject.price = getPrFix(parseFloat(text));

							}
						}else if( mateField === "name" ){
							var text=xssFilter(text);
							if( pageInfoObject.name === "" ){
								pageInfoObject.name = text;
							}
							/**
							if( pageInfoObject.name != "" && pageInfoObject.name != text ){
								pageInfoObject.name = document.title;
							}*/
						}else if( mateField === "issale" ){
							if( text ){
								pageInfoObject.isSale = 1;
							}
						}else if( mateField === "nosale" ){
							if( text ){
								pageInfoObject.noSale = 1;
							}
						}else if( mateField === "bigpic" ){
							if( pageInfoObject.pic === "" && text != "" ){
								pageInfoObject.pic = text;
							}
						}else if( mateField === "district" ){
							if( pageInfoObject.district === "" && text != "" ){
								pageInfoObject.district = text;
							}
						}else{
							if( !text || text == "" ){
								text = "none";
							}
							if( !(mateField in pageInfoObject) ){
								pageInfoObject[mateField] = text;
							}else{
								pageInfoObject[mateField] = pageInfoObject[mateField] + "|||" + text;
							}
						}
					}
				}
			}else if(mateMethod === "reg"){

				var rule = reg[mateField].page[mateMethod].rule;
				for(var ruleIndex in rule){
					var text = null;
					try{
						pageHtml || (pageHtml = document.head.innerHTML+document.body.innerHTML);
						var res = new RegExp(rule[ruleIndex][0]).exec(pageHtml);
						if( res && res.length > parseInt(rule[ruleIndex][1]) ){
							if( mateField === "issale" || mateField === "nosale" ){
								text = true;
							}else{
								text = res[parseInt(rule[ruleIndex][1])];
							}
						}
					}catch(ex){
						text = '';
					}

					if( text ){
						for(var check in reg[mateField].page[mateMethod].check){
							try{
								if( check === "replace" ){
									var rep = reg[mateField].page[mateMethod].check.replace;
									for(var repIndex in rep){
										text = text.replace(new RegExp(rep[repIndex][0],"g"),rep[repIndex][1]);
									}
								}else if( check === "split" ){
									var sp = reg[mateField].page[mateMethod].check.split;
									for(var spIndex in sp){
										if( text.indexOf(sp[spIndex][0]) != -1 ){
											text = text.split(sp[spIndex][0])[parseInt(sp[spIndex][1])];
										}
									}
								}
							}catch(ex){

							}
						}
						if(mateField === "price"){
							console.log('--------price text'+text);
							if( (pageInfoObject.price == 0 && text != "" && !isNaN(text) && parseFloat(text) > 0) || (parseFloat(text) > 0 && parseFloat(text) < pageInfoObject.price) ){
								pageInfoObject.price = getPrFix(parseFloat(text));
							}
						}else if( mateField === "name" ){
							var text=xssFilter(text);
							if( pageInfoObject.name === "" ){
								pageInfoObject.name = text;
							}
							/**
							if( pageInfoObject.name != "" && pageInfoObject.name != text ){
								pageInfoObject.name = document.title;
							}*/
						}else if( mateField === "issale" ){
							if( text ){
								pageInfoObject.isSale = 1;
							}
						}else if( mateField === "nosale" ){
							if( text ){
								pageInfoObject.noSale = 1;
							}
						}else if( mateField === "bigpic" ){
							if( pageInfoObject.pic === "" && text != "" ){
								pageInfoObject.pic = text;
							}
						}else if( mateField === "district" ){
							if( pageInfoObject.district === "" && text != "" ){
								pageInfoObject.district = text;
							}
						}else{
							if( !text || text == "" ){
								text = "none";
							}
							if( !(mateField in pageInfoObject) ){
								pageInfoObject[mateField] = text;
							}else{
								pageInfoObject[mateField] = pageInfoObject[mateField] + "|||" + text;
							}
						}
					}
				}
			}
		}
	}
	/**
	if(pageInfoObject.name === ""){
		pageInfoObject.name = document.title;
	}*/
	;(function(){
		var key, key0;
		try{
			for(var key in pageInfoObject){
				if(pageInfoObject[key] && key[key.length-1] == 1){
					key0 = key.slice(0,key.length-1);
					if(!pageInfoObject[key0]){
						pageInfoObject[key0] = pageInfoObject[key];
					}
				}
			}
		}catch(e){
		}
	})();
	return pageInfoObject;
}

/*
//根据url获得此url对应的domain
*/
function extractUrlDomain(url){
	var regList = /^https?\:\/\/[^\/]*?([^\/\.]+(?:\.com|\.cn|\.net|\.hk)(?:\.[a-z]{1,2})?)/.exec(url);
	if( regList && regList.length>1 ){
		return regList[1];
	}else{
		return "";
	}
}

function call_native (parames) {
    var jsonStr =  JSON.stringify(parames);
    window.android.postMessage(jsonStr);
}

function getPrFix(pri){
	if(!pri || pri == ""){
		return 0;
	}
	var _price = pri.toString();
    var _p = _price.indexOf('.');
    var toFix = '.';
    if(_p > -1){
        var p1 = _price.substr(++_p,1);
        var p2 = _price.substr(++_p,1);
        if ( p1 > 0 && p2 == 0 ) {
        	toFix = toFix + p1;
        }else if( p1 > 0  && p2 > 0 || p2 > 0 && p1 == 0 ){
        	toFix = toFix + p1 + p2;
        }else{
        	toFix = 0;
        }
        _price = parseInt(_price) + toFix;
    }
    return Number(_price);
}

/*
//加密算法
*/
var riddle = {
zero: ["0", "00", "000", "0000", "00000", "000000", "0000000", "00000000"],
strReverse: function(e) {
    var f = [];
    var g;
    for (g = 0, l = e.length; g < l; g++) {
        f[f.length] = e.charAt(g);
    }
    return f.reverse().join("");
},
encrypt: function(f, h, g) {
    var e = [];
    var j;
    for (j = 0, l = f.length; j < l; j++) {
        e[e.length] = riddle.to(f.charCodeAt(j), h);
    }
    return g ? riddle.strReverse(e.join("")) : e.join("");
},
to: function(f, h) {
    var e = "" + (f + 88).toString(16),
    g = h - e.length;
    if (g > 0) {
        return riddle.zero[g - 1] + e;
    }
    return e;
},
decrypt: function(f, k, h) {
    var e = [];
    if (h) {
        f = riddle.strReverse(f);
    }
    for (var o = 0, n = 0; o < f.length; o += k, n++) {
        var g = f.substring(o, o + k);
        e[n] = riddle.tranFormat(g, k);
    }
    return String.fromCharCode.apply(String, e);
},
tranFormat: function(e, f) {
    if (e.length !== f) {
        return 0;
    }
    return parseInt(e.replace(/^0+/g, ""), 16) - 88;
}
}

function main(template){
    var pageUrl = window.location.href;
    var domain = extractUrlDomain(pageUrl);
/*    console.log('already hidden, exiting');*/
    _loadByTemplate(domain, template[domain].regarray);
/*
//    setInterval(clearFixedElements,1000);
*/
}
    _loadByTemplate(domain, regArray);

}
/*//window._mmz_plugin_main = loadByTemplate;
//})(jQuery);*/
