$(".product_background").on("touchstart",function(e){
	$(this).addClass('touch');
});
$(".product_background").on("touchend",function(e){
	$(this).removeClass('touch');
});

var timer;
function lazyLoadImg(args){
    
    var option = {
    container:'',//容器
    replaceName:'data-src',//图片替换名称
    imgHeight:300,//图片高度
    pre:200,//预加载高度
    windowHeight:0,//可视区域的高度，手机浏览器必须穿入这个值
    nopic:''//占位图片
    }
    $.extend(option,args);
    var select = option.container && $(option.container) || option.imgs;
    if(!select[0]) return;
    var imgh = option.imgHeight,preHeight = option.pre,replaceName = option.replaceName;
    var notNeedHandleImgs = [];
    // var imgs = select.find("img[src='"+option.nopic+"']");
    var imgs = select.find("img");
    var wHeight = option.windowHeight > 0 ? option.windowHeight : $(window).height();
    $(window).scroll(function(){
        if(imgs.length == 0){
            return;
        }
        if(timer) clearTimeout(timer);
        if(imgs.length == notNeedHandleImgs.length) return;
        timer = setTimeout(function(){
            var sTop = $(window).scrollTop();
            imgs.each(function(i){
                  if($.inArray(i,notNeedHandleImgs) > -1) return true;
                  var tTop = 0;
                  var $this = $(this);
                  var prepareLoadImageUrl = $this.attr(replaceName);
                  if(!prepareLoadImageUrl || prepareLoadImageUrl.length == 0){
                      notNeedHandleImgs.push(i);
                  }else{
                      tTop = $this.offset() && $this.offset().top;
                      if (tTop - preHeight < sTop + wHeight) {
                        call_native({"call_type":"refreshImage", "parames":{image_url:$this.attr(replaceName),image_id:"#"+$this.attr("id")}});
                      }
                  }
            });
        },100);
    });
    $(window).scroll();
}

function getAllImgOffset() {
    $(function(){
      var imgs = $(document).find('img');
      var imgArr = [];
      imgs.each(function(i){
                var y = $(this).offset().top;
                var imgId = $(this).attr('id');
                imgArr.push(imgId+':'+y);
                })
      var imgStr = imgArr.join('#');
      call_native({"call_type":"imgOffsetY", "parames":{imgOffsetY:imgStr}});
      })
}

function browseImg(dom) {
    var imgID = dom.getAttribute("id");
    call_native({"call_type":"browseImg", "parames":{image_id:imgID}})
}

function wkAddImageUrl(imageId,imagePath){
    $('#' + imageId).attr('src', imagePath).attr('data-src', '');
}

function addImageUrl(imageId,imagePath){
    $(imageId).attr('src', imagePath).attr('data-src', '');
}

function loadImage() {
    if(timer) clearTimeout(timer);
    timer = setTimeout(function(){
                       $(window).scroll();
                       },50);
}

function changeZanImage(imageId,imagePath){
    $(imageId).attr('src',imagePath);
}

function changeZanNum(pathId,num){
    $(pathId).text(num);
}

function switchFootVisibility(hide){
    if(hide){
        $('#foot').hide();
    }else{
        $('#foot').show();
    }
}

function initPlaceholder(head, foot){
    //;
    if( head >= 0){
        $('#head').height(head);
    }
    if( foot >= 0){
        $('#foot').height(foot);
    }
}

function call_native (parames) {
    window.android.postMessage(parames);
}

function headerTouch () {
 window.android.postMessage();
//    call_native({"call_type":"headerTouch", "parames":{}});
}

function authorTouch () {
    call_native({"call_type":"authorTouch", "parames":{}});
}

function sourceTouch () {
    call_native({"call_type":"sourceTouch", "parames":{}});
}